<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMstRoadDirections extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mst_road_directions', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('code')->default(0); // 接面コード(value)
            $table->text('name'); // 接面名(name)
        });
        DB::statement("ALTER TABLE mst_road_directions COMMENT 'マスタ：接面'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mst_road_directions');
    }
}
